Connections - List Connection Role Assignments
Returns a list of connection role assignments.
Note
Fabric tenant admin connection management is currently in Preview (learn more).
This API supports pagination.
Permissions
The caller must be a Fabric administrator or authenticate using a service principal.
Required Delegated Scopes
Tenant.Read.All or Tenant.ReadWrite.All
Limitations
No additional limitations.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/admin/connections/{connectionId}/roleAssignments
GET https://api.fabric.microsoft.com/v1/admin/connections/{connectionId}/roleAssignments?continuationToken={continuationToken}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
connection
|
path | True |
string (uuid) |
The connection ID. |
|
continuation
|
query |
string |
A token for retrieving the next page of results. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The operation was successful. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
| List connection role assignments as admin example |
| List connection role assignments with continuation as admin example |
List connection role assignments as admin example
Sample request
GET https://api.fabric.microsoft.com/v1/admin/connections/9558d649-84f1-4b7e-850a-59b5d0ae95eb/roleAssignments
Sample response
{
"value": [
{
"id": "1c15c348-dd88-4065-8f25-57581c216bcf",
"principal": {
"id": "1c15c348-dd88-4065-8f25-57581c216bcf",
"type": "User"
},
"role": "Owner"
},
{
"id": "d3a7dbf7-6641-48f2-851e-d71bbf9d90c4",
"principal": {
"id": "d3a7dbf7-6641-48f2-851e-d71bbf9d90c4",
"type": "Group"
},
"role": "Owner"
},
{
"id": "48ba22da-4431-4da4-8b70-3401685bf9e5",
"principal": {
"id": "48ba22da-4431-4da4-8b70-3401685bf9e5",
"type": "Group"
},
"role": "User"
},
{
"id": "1dfa1747-ce76-4caf-99c8-360b95f9f17a",
"principal": {
"id": "1dfa1747-ce76-4caf-99c8-360b95f9f17a",
"type": "User"
},
"role": "UserWithReshare"
}
]
}
List connection role assignments with continuation as admin example
Sample request
GET https://api.fabric.microsoft.com/v1/admin/connections/9558d649-84f1-4b7e-850a-59b5d0ae95eb/roleAssignments
Sample response
{
"value": [
{
"id": "1c15c348-dd88-4065-8f25-57581c216bcf",
"principal": {
"id": "1c15c348-dd88-4065-8f25-57581c216bcf",
"type": "User"
},
"role": "Owner"
},
{
"id": "d3a7dbf7-6641-48f2-851e-d71bbf9d90c4",
"principal": {
"id": "d3a7dbf7-6641-48f2-851e-d71bbf9d90c4",
"type": "Group"
},
"role": "Owner"
},
{
"id": "48ba22da-4431-4da4-8b70-3401685bf9e5",
"principal": {
"id": "48ba22da-4431-4da4-8b70-3401685bf9e5",
"type": "Group"
},
"role": "User"
},
{
"id": "1dfa1747-ce76-4caf-99c8-360b95f9f17a",
"principal": {
"id": "1dfa1747-ce76-4caf-99c8-360b95f9f17a",
"type": "User"
},
"role": "UserWithReshare"
}
],
"continuationToken": "LDEsMTAwMDAwLDA%3D",
"continuationUri": "https://api.fabric.microsoft.com/v1/admin/connections/9558d649-84f1-4b7e-850a-59b5d0ae95eb/roleAssignments?continuationToken=LDEsMTAwMDAwLDA%3D"
}
Definitions
| Name | Description |
|---|---|
|
Connection |
A connection role. Additional connection roles may be added over time. |
|
Connection |
The connection role assignment for a principal. |
|
Connection |
|
|
Entire |
Represents a tenant principal |
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Group |
Group specific details. Applicable when the principal type is |
|
Group |
Represents a security group. |
|
Group |
The type of the group. Additional group types may be added over time. |
|
Principal |
The type of the principal. Additional principal types may be added over time. |
|
Service |
Service principal specific details. Applicable when the principal type is |
|
Service |
Represents a Microsoft Entra service principal. |
|
Service |
Service principal profile details. Applicable when the principal type is |
|
Service |
Represents a service principal profile. |
|
User |
User principal specific details. Applicable when the principal type is |
|
User |
Represents a Microsoft Entra user principal. |
ConnectionRole
A connection role. Additional connection roles may be added over time.
| Value | Description |
|---|---|
| User |
Enables user access for the connection. |
| UserWithReshare |
Enables user with resharing access for the connection. |
| Owner |
Enables ownership access for the connection. |
| PendingOwner |
Ownership of the connection is not yet effective; the principal must update the connection credentials (using Update Connection API) to make it effective. |
ConnectionRoleAssignment
The connection role assignment for a principal.
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
The object ID of the connection role assignment. |
| principal | Principal: |
The principal. |
| role |
The connection role of the principal. |
ConnectionRoleAssignments
| Name | Type | Description |
|---|---|---|
| continuationToken |
string |
The token for the next result set batch. If there are no more records, it's removed from the response. |
| continuationUri |
string |
The URI of the next result set batch. If there are no more records, it's removed from the response. |
| value |
A list of connection role assignments. |
EntireTenantPrincipal
Represents a tenant principal
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Entire |
The type of the principal. Additional principal types may be added over time. |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
GroupDetails
Group specific details. Applicable when the principal type is Group.
| Name | Type | Description |
|---|---|---|
| groupType |
The type of the group. Additional group types may be added over time. |
GroupPrincipal
Represents a security group.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| groupDetails |
Group specific details. Applicable when the principal type is |
|
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Group |
The type of the principal. Additional principal types may be added over time. |
GroupType
The type of the group. Additional group types may be added over time.
| Value | Description |
|---|---|
| Unknown |
Principal group type is unknown. |
| SecurityGroup |
Principal is a security group. |
| DistributionList |
Principal is a distribution list. |
PrincipalType
The type of the principal. Additional principal types may be added over time.
| Value | Description |
|---|---|
| User |
Principal is a Microsoft Entra user principal. |
| ServicePrincipal |
Principal is a Microsoft Entra service principal. |
| Group |
Principal is a security group. |
| ServicePrincipalProfile |
Principal is a service principal profile. |
| EntireTenant |
Principal represents all tenant users. |
ServicePrincipalDetails
Service principal specific details. Applicable when the principal type is ServicePrincipal.
| Name | Type | Description |
|---|---|---|
| aadAppId |
string (uuid) |
The service principal's Microsoft Entra AppId. |
ServicePrincipalPrincipal
Represents a Microsoft Entra service principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalDetails |
Service principal specific details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
ServicePrincipalProfileDetails
Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.
| Name | Type | Description |
|---|---|---|
| parentPrincipal | Principal: |
The service principal profile's parent principal. |
ServicePrincipalProfilePrincipal
Represents a service principal profile.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalProfileDetails |
Service principal profile details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
UserDetails
User principal specific details. Applicable when the principal type is User.
| Name | Type | Description |
|---|---|---|
| userPrincipalName |
string |
The user principal name. |
UserPrincipal
Represents a Microsoft Entra user principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
User |
The type of the principal. Additional principal types may be added over time. |
| userDetails |
User principal specific details. Applicable when the principal type is |